| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMLNumber Class Reference Inheritance diagram for XMLNumber: [legend] List of all members.
## Public Methods
virtual | ~XMLNumber ()
virtual XMLCh * | toString () const=0
| Return string representation of the decimal value.
virtual XMLCh * | getRawData () const=0
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const=0
| Return the original and converted value of the original data.
virtual int | getSign () const=0
| Returns the sign of this number.
## Protected Methods
| XMLNumber ()
## Constructor & Destructor Documentation
virtual XMLNumber::~XMLNumber | ( |  | ) | `[virtual]`
XMLNumber::XMLNumber | ( |  | ) | `[protected]`
## Member Function Documentation
virtual const XMLCh* XMLNumber::getFormattedString | ( |  | ) | `[pure virtual]`
| Return the original and converted value of the original data. (applicable to double/float) The internal buffer is returned directly, user is not required to delete the returned buffer Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.
virtual XMLCh* XMLNumber::getRawData | ( |  | ) | `[pure virtual]`
| Return string representation of the decimal value. A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.
virtual int XMLNumber::getSign | ( |  | ) | `[pure virtual]`
| Returns the sign of this number. -1 negative 0 zero 1 positive Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.
virtual XMLCh* XMLNumber::toString | ( |  | ) | `[pure virtual]`
| Return string representation of the decimal value. A decimal point will be included as necessary, the caller of this method is responsible for the de-allocation of the memory. Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.
The documentation for this class was generated from the following file: XMLNumber.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.